package jp.gihyo.mitoma.android.lesson01_07;

import android.app.Activity;
import android.content.Context;
import android.view.View;
import android.widget.EditText;
import android.widget.Toast;

public class FriendsAction {
    private Activity act;

    public FriendsAction(Activity act){

        this.act = act;
    }
    public void exec(View view){
        EditText etId = act.findViewById(R.id.etId);
        EditText etName = act.findViewById(R.id.etName);
        EditText etTel = act.findViewById(R.id.etTel);
        String id = etId.getText().toString();
        String tag = view.getTag().toString();
        //***** SQLiteデータベースの時　コメント解除  ********************************
        FriendsDAO ds = new FriendsDAO((Context)act);
        //***** ファイルの時　コメント解除 ******************************************
        //FriendsByFileDAO ds = new FriendsByFileDAO((Context)act);
        if(tag.equals("REGISTER")){
            String name = etName.getText().toString();
            String tel = etTel.getText().toString();
            FriendsDTO dto = new FriendsDTO(id,name,tel);
            ds.insert(dto);
            Toast.makeText(act,"登録完了",Toast.LENGTH_LONG).show();

        }else if(tag.equals("ENQUIRY")){
            FriendsDTO dto = ds.select(id);
            if(dto != null) {
                etName.setText(dto.name);
                etTel.setText(dto.tel);
            }else{
                etName.setText("(該当データ無し)");
                etTel.setText("");
            }
            Toast.makeText(act, "照会完了", Toast.LENGTH_LONG).show();
        }
    }
}
